<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/PortServo.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('PortServo_8hpp_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">PortServo.hpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#ifndef __PortServo_H__</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#define __PortServo_H__</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#ifndef NO_SERVO</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;Servo.h&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="Accessories_8h.html">Accessories.h</a>&quot;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="classPortServo.html">   13</a></span>&#160;<span class="keyword">class </span><a class="code" href="classPortServo.html">PortServo</a> : <span class="keyword">public</span> <a class="code" href="classPort.html">Port</a></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;{</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;    <span class="keyword">protected</span>:  </div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="classPortServo.html#a7fea8a921f760510ee69b1f8f088db96">   17</a></span>&#160;        <span class="keywordtype">int</span> <a class="code" href="classPortServo.html#a7fea8a921f760510ee69b1f8f088db96">pin</a>;    </div><div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="classPortServo.html#a892b529df0ad7376695f9414e6fea5db">   19</a></span>&#160;        Servo <a class="code" href="classPortServo.html#a892b529df0ad7376695f9414e6fea5db">servo</a>;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;        <a class="code" href="classPortServo.html#a95ced214604b8539e4acdfb175950b19">PortServo</a>();</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;        </div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">begin</a>(<span class="keywordtype">int</span> inPin);</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPortServo.html#a284e4473a11cbe908ba1db87a40c91bd">beginByAccessory</a>(<span class="keywordtype">int</span> inStartingPosition);</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="classPortServo.html#a1d9bc91888d14d4c04ce1db71eb6d8f6">   37</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">bool</span> <a class="code" href="classPortServo.html#a1d9bc91888d14d4c04ce1db71eb6d8f6">IsActive</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;pin &gt; -1; }</div><div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="classPortServo.html#ab7390e48781206b0ead8951ae7042564">   41</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">int</span> <a class="code" href="classPortServo.html#ab7390e48781206b0ead8951ae7042564">GetPin</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> this-&gt;<a class="code" href="classPortServo.html#a7fea8a921f760510ee69b1f8f088db96">pin</a>; }</div><div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="classPortServo.html#aeefe2ccbaffc273f196d5a55cbcd0b0c">   45</a></span>&#160;        <span class="keyword">inline</span> GPIO_pin_t <a class="code" href="classPortServo.html#aeefe2ccbaffc273f196d5a55cbcd0b0c">GetDIOPin</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> Arduino_to_GPIO_pin(this-&gt;pin); }</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;        </div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPortServo.html#a362a0eba0e7219cca64cae736c407e1a">MovePosition</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration, <span class="keywordtype">int</span> inEndPosition);</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        <span class="keywordtype">int</span> <a class="code" href="classPortServo.html#adf5231931fec08758d8287c079fe2bba">GetPosition</a>();</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_PRINT_ACCESSORIES</span></div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        <span class="keywordtype">void</span> printPort();</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;};</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="ttc" id="classPortServo_html_adf5231931fec08758d8287c079fe2bba"><div class="ttname"><a href="classPortServo.html#adf5231931fec08758d8287c079fe2bba">PortServo::GetPosition</a></div><div class="ttdeci">int GetPosition()</div><div class="ttdef"><b>Definition:</b> <a href="PortServo_8cpp_source.html#l00060">PortServo.cpp:60</a></div></div>
<div class="ttc" id="classPortServo_html_a362a0eba0e7219cca64cae736c407e1a"><div class="ttname"><a href="classPortServo.html#a362a0eba0e7219cca64cae736c407e1a">PortServo::MovePosition</a></div><div class="ttdeci">void MovePosition(unsigned long inDuration, int inEndPosition)</div><div class="ttdef"><b>Definition:</b> <a href="PortServo_8cpp_source.html#l00042">PortServo.cpp:42</a></div></div>
<div class="ttc" id="classPortServo_html_aeefe2ccbaffc273f196d5a55cbcd0b0c"><div class="ttname"><a href="classPortServo.html#aeefe2ccbaffc273f196d5a55cbcd0b0c">PortServo::GetDIOPin</a></div><div class="ttdeci">GPIO_pin_t GetDIOPin() const </div><div class="ttdef"><b>Definition:</b> <a href="PortServo_8hpp_source.html#l00045">PortServo.hpp:45</a></div></div>
<div class="ttc" id="classPortServo_html_a1d9bc91888d14d4c04ce1db71eb6d8f6"><div class="ttname"><a href="classPortServo.html#a1d9bc91888d14d4c04ce1db71eb6d8f6">PortServo::IsActive</a></div><div class="ttdeci">bool IsActive() const </div><div class="ttdef"><b>Definition:</b> <a href="PortServo_8hpp_source.html#l00037">PortServo.hpp:37</a></div></div>
<div class="ttc" id="classPortServo_html_a284e4473a11cbe908ba1db87a40c91bd"><div class="ttname"><a href="classPortServo.html#a284e4473a11cbe908ba1db87a40c91bd">PortServo::beginByAccessory</a></div><div class="ttdeci">void beginByAccessory(int inStartingPosition)</div><div class="ttdef"><b>Definition:</b> <a href="PortServo_8cpp_source.html#l00024">PortServo.cpp:24</a></div></div>
<div class="ttc" id="classPort_html_a110847fdec661d0e94a3a22edd9fe32a"><div class="ttname"><a href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">Port::begin</a></div><div class="ttdeci">virtual void begin()</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00099">Port.hpp:99</a></div></div>
<div class="ttc" id="classPortServo_html_a95ced214604b8539e4acdfb175950b19"><div class="ttname"><a href="classPortServo.html#a95ced214604b8539e4acdfb175950b19">PortServo::PortServo</a></div><div class="ttdeci">PortServo()</div><div class="ttdef"><b>Definition:</b> <a href="PortServo_8cpp_source.html#l00011">PortServo.cpp:11</a></div></div>
<div class="ttc" id="classPortServo_html_ab7390e48781206b0ead8951ae7042564"><div class="ttname"><a href="classPortServo.html#ab7390e48781206b0ead8951ae7042564">PortServo::GetPin</a></div><div class="ttdeci">int GetPin() const </div><div class="ttdef"><b>Definition:</b> <a href="PortServo_8hpp_source.html#l00041">PortServo.hpp:41</a></div></div>
<div class="ttc" id="classPortServo_html_a892b529df0ad7376695f9414e6fea5db"><div class="ttname"><a href="classPortServo.html#a892b529df0ad7376695f9414e6fea5db">PortServo::servo</a></div><div class="ttdeci">Servo servo</div><div class="ttdef"><b>Definition:</b> <a href="PortServo_8hpp_source.html#l00019">PortServo.hpp:19</a></div></div>
<div class="ttc" id="classPortServo_html_a7fea8a921f760510ee69b1f8f088db96"><div class="ttname"><a href="classPortServo.html#a7fea8a921f760510ee69b1f8f088db96">PortServo::pin</a></div><div class="ttdeci">int pin</div><div class="ttdef"><b>Definition:</b> <a href="PortServo_8hpp_source.html#l00017">PortServo.hpp:17</a></div></div>
<div class="ttc" id="classPort_html"><div class="ttname"><a href="classPort.html">Port</a></div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00061">Port.hpp:61</a></div></div>
<div class="ttc" id="classPortServo_html"><div class="ttname"><a href="classPortServo.html">PortServo</a></div><div class="ttdef"><b>Definition:</b> <a href="PortServo_8hpp_source.html#l00013">PortServo.hpp:13</a></div></div>
<div class="ttc" id="Accessories_8h_html"><div class="ttname"><a href="Accessories_8h.html">Accessories.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>PortServo.hpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
